Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS > Class Template Reference

`#include <OTypedScalarProperty.h>`

Inherits Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty.

Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >:
[legend]

## Public Types

typedef TRAITS | traits_type
typedef OTypedScalarProperty< TRAITS > | this_type
typedef TRAITS::value_type | value_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty
typedef OScalarProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
typedef OBasePropertyT< AbcA::ScalarPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::ScalarPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OTypedScalarProperty ()
| OTypedScalarProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OTypedScalarProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OTypedScalarProperty (AbcA::ScalarPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OTypedScalarProperty (AbcA::ScalarPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
void | set (const value_type &iVal)
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty
| OScalarProperty ()
| OScalarProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OScalarProperty (OCompoundProperty iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OScalarProperty (AbcA::ScalarPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| OScalarProperty (AbcA::ScalarPropertyWriterPtr iPtr, WrapExistingFlag iWrapFlag, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| ~OScalarProperty ()
size_t | getNumSamples () const
void | set (const void *iSample)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::ScalarPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Static Public Member Functions

static const char * | getInterpretation ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Additional Inherited Members

Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
AbcA::ScalarPropertyWriterPtr | m_property

## Detailed Description

template<class TRAITS>
class Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >

Definition at line 49 of file OTypedScalarProperty.h.

## Member Typedef Documentation

## this_type

template<class TRAITS>

typedef OTypedScalarProperty<TRAITS> Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::this_type

Definition at line 56 of file OTypedScalarProperty.h.

## traits_type

template<class TRAITS>

typedef TRAITS Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::traits_type

Definition at line 55 of file OTypedScalarProperty.h.

## value_type

template<class TRAITS>

typedef TRAITS::value_type Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::value_type

Definition at line 57 of file OTypedScalarProperty.h.

## Constructor & Destructor Documentation

## OTypedScalarProperty() [1/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::OTypedScalarProperty | ( |  | ) |

inline

Create a default (empty) TypedScalarProperty ...

Definition at line 97 of file OTypedScalarProperty.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< BooleanTPTraits >::OTypedScalarProperty().

Here is the caller graph for this function:

## OTypedScalarProperty() [2/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::OTypedScalarProperty | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument(),
|  | const Argument & | iArg3 = Argument() )

inline

Create a new TypedScalarProperty as a child of the passed iParent Arguments can specify metadata, timesampling, and error handling.

Definition at line 102 of file OTypedScalarProperty.h.

## OTypedScalarProperty() [3/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::OTypedScalarProperty | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )

inline

Create a new TypedScalarProperty as a child of the passed iParent Arguments can specify metadata, timesampling, and error handling.

Definition at line 117 of file OTypedScalarProperty.h.

## OTypedScalarProperty() [4/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::OTypedScalarProperty | ( | AbcA::ScalarPropertyWriterPtr | iProp,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

Wrap an existing scalar property, checking to make sure it matches data type and also (if requested) interpretation.

Definition at line 132 of file OTypedScalarProperty.h.

## OTypedScalarProperty() [5/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::OTypedScalarProperty | ( | AbcA::ScalarPropertyWriterPtr | iProp,
|  | WrapExistingFlag | iWrapFlag,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

Definition at line 158 of file OTypedScalarProperty.h.

## Member Function Documentation

## getInterpretation()

template<class TRAITS>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::getInterpretation | ( |  | ) |

inlinestatic

Return the interpretation expected of this property. An empty interpretation matches everything

Definition at line 61 of file OTypedScalarProperty.h.

## matches() [1/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::matches | ( | const AbcA::MetaData & | iMetaData,
|  | SchemaInterpMatching | iMatching = kStrictMatching )

inlinestatic

This will check whether or not a given entity (as represented by a metadata) strictly matches the interpretation of this schema object

Definition at line 69 of file OTypedScalarProperty.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< BooleanTPTraits >::OTypedScalarProperty(), and Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< BooleanTPTraits >::matches().

Here is the caller graph for this function:

## matches() [2/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::matches | ( | const AbcA::PropertyHeader & | iHeader,
|  | SchemaInterpMatching | iMatching = kStrictMatching )

inlinestatic

This will check whether or not a given object (as represented by an object header) strictly matches the interpretation of this schema object, as well as the data type.

Definition at line 79 of file OTypedScalarProperty.h.

## set()

template<class TRAITS>

void Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::set | ( | const value_type & | iVal | ) |

inline

Set a sample using a reference to a value-type, instead of a void*

Definition at line 173 of file OTypedScalarProperty.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull< Abc::OBox3dProperty, Abc::Box3d >(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull< Abc::OWstringProperty, Alembic::Util::wstring >().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/OTypedScalarProperty.h